org.apache.felix.obrplugin

## Class XmlHelper

- java.lang.Object
- - org.apache.felix.obrplugin.XmlHelper

-     public class XmlHelper
      extends Object

  Provide XML helper methods to support pre-Java5 runtimes
  Author:
    Felix Project Team

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getTextContent(Node node)` based on public Java5 javadoc of org.w3c.dom.Node.getTextContent method
    `static void` | `setTextContent(Node node, String text)` based on public Java5 javadoc of org.w3c.dom.Node.setTextContent method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlHelper

          public XmlHelper()

  - ### Method Detail

    - #### getTextContent

          public static String getTextContent(Node node)

      based on public Java5 javadoc of org.w3c.dom.Node.getTextContent method

    - #### setTextContent

          public static void setTextContent(Node node,
                            String text)

      based on public Java5 javadoc of org.w3c.dom.Node.setTextContent method

Copyright © 2015. All rights reserved.